#! /bin/sh

BASEDIR="."

mkdir -p $BASEDIR/export/html
rm -rf $BASEDIR/export/html/*

# Single-page version
echo 'Creating single-page version...'
mkdir -p $BASEDIR/export/html/singlepage
cp $BASEDIR/src/index.html $BASEDIR/export/html/singlepage/index.html
cp $BASEDIR/css/style.css $BASEDIR/export/html/singlepage/style.css
cp -r $BASEDIR/src/fig $BASEDIR/export/html/singlepage/

# Split version
echo 'Creating split pages...'
cp $BASEDIR/css/style.css $BASEDIR/export/html/style.css
cp -r $BASEDIR/src/fig $BASEDIR/export/html/
echo 'Exporting split html...'
$BASEDIR/scripts/export_split.py
echo 'Repairing links...'
$BASEDIR/scripts/cleanup_links.py
echo 'All done.'
